/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PersonRole;

import java.util.Vector;
import java.util.Date;
import HumanResMgmt.SkillAcquisition.SkillAcqProgramPartic;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class EmployeeAsSkilledOne extends RelMgmt.Party.PersonRole {
    public Vector assessTaskWorkload() {
        return new Vector();
    }

    public Vector evaluateSkills() {
        return new Vector();
    }

    public Vector evaluatePerformance() {
        return new Vector();
    }

    public boolean isQualifiedForJob() {
        return false;
    }

    public boolean isQualifiedForJobAndAvailableForInterval() {
        return false;
    }

    public Vector compareAssignmentsWithSkills() {
        return new Vector();
    }

    public Date determineDateFirstAvailableForInterval() {
        return new Date();
    }

    public Vector suggestSkillImprovements() {
        return new Vector();
    }

    public Vector listPositionAssignments() {
        return new Vector();
    }

    public Vector listPerformanceAssessments() {
        return new Vector();
    }

    public Vector listSkillAcquisitionProgramParticipations() {
        return new Vector();
    }

    public Vector listSkillRatings() {
        return new Vector();
    }

    public static Vector findQualifiedEmployeesFromTo() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private SkillAcqProgramPartic skillAcquisition;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private HumanResMgmt.SkillAcquisition.SkillRating lnkUnnamed;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     * @label derivable
     */
    private HumanResMgmt.PositionAssignment.PerformanceAssessment lnkUnnamed1;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private HumanResMgmt.PositionAssignment.PositionAssignment lnkUnnamed2;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     * @label derivable
     * @supplierRole current,all
     */
    private HumanResMgmt.PositionAssignment.TaskAssignment lnkUnnamed3;
}


